SerializableMode
Date: 2015-09-18

org.mockito.mock

## Enum SerializableMode

- java.lang.Object
- - java.lang.Enum<SerializableMode>
  - - org.mockito.mock.SerializableMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SerializableMode>

      @Incubating
      public enum SerializableMode
      extends java.lang.Enum<SerializableMode>

  Mock serializable style.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACROSS_CLASSLOADERS` Useful if the mock is deserialized in a different classloader / vm.
    `BASIC` Basic serializable mode for mock objects.
    `NONE` No serialization.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerializableMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SerializableMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final SerializableMode NONE

      No serialization.

    - #### BASIC

          public static final SerializableMode BASIC

      Basic serializable mode for mock objects. Introduced in Mockito 1.8.1.

    - #### ACROSS_CLASSLOADERS

          @Incubating
          public static final SerializableMode ACROSS_CLASSLOADERS

      Useful if the mock is deserialized in a different classloader / vm.

  - ### Method Detail

    - #### values

          public static SerializableMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SerializableMode c : SerializableMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SerializableMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null